Skip to content
Start here

Revoke devices (deprecated)

Deprecated
client.ZeroTrust.Devices.Revoke.New(ctx, params) (*unknown, error)
POST/accounts/{account_id}/devices/revoke

Revokes a list of devices. Not supported when multi-user mode is enabled.

Deprecated: please use POST /accounts/{account_id}/devices/registrations/revoke instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
params DeviceRevokeNewParams
AccountID param.Field[string]

Path param

Body param.Field[[]string]

Body param: A list of Registration IDs to revoke.

maxLength200
ReturnsExpand Collapse
type DeviceRevokeNewResponseEnvelopeResult interface{…}
One of the following:
unknown

Revoke devices (deprecated)

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  revoke, err := client.ZeroTrust.Devices.Revoke.New(context.TODO(), zero_trust.DeviceRevokeNewParams{
    AccountID: cloudflare.F("699d98642c564d2e855e9661899b7252"),
    Body: []string{"f174e90a-fafe-4643-bbbc-4a0ed4fc8415"},
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", revoke)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}